ListQuotaShares
Returns a list of AWS Batch quota shares associated with a job queue.
Request Syntax
POST /v1/listquotashares HTTP/1.1
Content-type: application/json
{
"jobQueue": "string",
"maxResults": number,
"nextToken": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
-
The name or full Amazon Resource Name (ARN) of the job queue used to list quota shares.
Type: String
Required: Yes
-
The maximum number of results returned by
ListQuotaSharesin paginated output. When this parameter is used,ListQuotaSharesonly returnsmaxResultsresults in a single page and anextTokenresponse element. You can see the remaining results of the initial request by sending anotherListQuotaSharesrequest with the returnednextTokenvalue. This value can be between 1 and 100. If this parameter isn't used,ListQuotaSharesreturns up to 100 results and anextTokenvalue if applicable.Type: Integer
Required: No
-
The
nextTokenvalue that's returned from a previous paginatedListQuotaSharesrequest wheremaxResultswas used and the results exceeded the value of that parameter. Pagination continues from the end of the previous results that returned thenextTokenvalue. This value isnullwhen there are no more results to return.Note
Treat this token as an opaque identifier that's only used to retrieve the next items in a list and not for other programmatic purposes.
Type: String
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"quotaShares": [
{
"capacityLimits": [
{
"capacityUnit": "string",
"maxCapacity": number
}
],
"jobQueueArn": "string",
"preemptionConfiguration": {
"inSharePreemption": "string"
},
"quotaShareArn": "string",
"quotaShareName": "string",
"resourceSharingConfiguration": {
"borrowLimit": number,
"strategy": "string"
},
"state": "string",
"status": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
-
The
nextTokenvalue to include in a futureListQuotaSharesrequest. When the results of aListQuotaSharesrequest exceedmaxResults, this value can be used to retrieve the next page of results. This value isnullwhen there are no more results to return.Type: String
-
A list of quota shares that match the request.
Type: Array of QuotaShareDetail objects
Errors
- ClientException
-
These errors are usually caused by a client action. One example cause is using an action or resource on behalf of a user that doesn't have permissions to use the action or resource. Another cause is specifying an identifier that's not valid.
HTTP Status Code: 400
- ServerException
-
These errors are usually caused by a server issue.
HTTP Status Code: 500
Examples
In the following example or examples, the Authorization header contents
(
[authorization-params]
) must be replaced with an AWS Signature Version 4
signature. For more information about creating these signatures, see Signature Version 4 Signing Process in the
AWS
General Reference.
You only need to learn how to sign HTTP requests if you intend to manually create them. When you use the AWS Command Line Interface (AWS CLI)
Example
This example lists the quota shares associated with the
HighPriority job queue.
Sample Request
POST /v1/listquotashares HTTP/1.1
Host: batch.us-east-1.amazonaws.com
Accept-Encoding: identity
Content-Length: [content-length]
Authorization: [authorization-params]
X-Amz-Date: 20250801T001258Z
User-Agent: aws-cli/2.27.33 Python/3.13.4 Darwin/24.3.0
{
"jobQueue": "HighPriority"
}
Sample Response
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: [content-length]
Connection: keep-alive
Date: Fri, 01 Aug 2025 00:12:59 GMT
x-amzn-RequestId: [request-id]
X-Amzn-Trace-Id: [trace-id]
X-Cache: Miss from cloudfront
Via: 1.1 example7k9m3n8q4r2w5x1z6c4vexample.cloudfront.net (CloudFront)
X-Amz-Cf-Id: whn1dX1uTx34Lvao7-7ZdkDXEbCZ_sjn3v3hHVFgbo1ORJtXyexample
{
"quotaShares": [
{
"quotaShareName": "TeamAShare",
"quotaShareArn": "arn:aws:batch:us-east-1:123456789012:job-queue/HighPriority/quota-share/TeamAShare",
"jobQueueArn": "arn:aws:batch:us-east-1:123456789012:job-queue/HighPriority",
"capacityLimits": [
{
"maxCapacity": 10,
"capacityUnit": "ml.m5.large"
},
{
"maxCapacity": 5,
"capacityUnit": "ml.m5.xlarge"
}
],
"resourceSharingConfiguration": {
"strategy": "LEND_AND_BORROW",
"borrowLimit": 200
},
"preemptionConfiguration": {
"inSharePreemption": "ENABLED"
},
"state": "ENABLED",
"status": "VALID",
"tags": {
"Department": "Engineering"
}
},
...
]
}
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: